using System.Collections.ObjectModel;
using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.RsM;

internal record Line13
{

    [JsonConstructor]
    public Line13(string cassetteSlotSelected) =>
        CassetteSlotSelected = cassetteSlotSelected;

    [JsonPropertyName("CassSlotSelected")] public string CassetteSlotSelected { get; }

    internal static Line13 Get(string[] segments)
    {
        Line13 result;
        ReadOnlyCollection<string> collection = Run.GetCollection(segments);
        result = new(collection.Count < 1 ? string.Empty : collection[0]);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(Line13))]
internal partial class Line13SourceGenerationContext : JsonSerializerContext
{
}