using System.Collections.ObjectModel;
using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.RsM;

internal record Line6
{

    [JsonConstructor]
    public Line6(string engineer) =>
        Engineer = engineer;

    [JsonPropertyName("Engineer")] public string Engineer { get; }

    internal static Line6 Get(string[] segments)
    {
        Line6 result;
        ReadOnlyCollection<string> collection = Run.GetCollection(segments);
        result = new(collection.Count < 1 ? string.Empty : collection[0]);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(Line6))]
internal partial class Line6SourceGenerationContext : JsonSerializerContext
{
}